%define name	awstats
%define version	6.4
%define release	1%{_my_ext}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Advanced Web Statistics
License:	GPL
Group:		Networking/WWW
URL:		http://awstats.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/awstats/%{name}-%{version}.tar.bz2
Patch0:		awstats-6.4-conf.patch.bz2
BuildArch:	noarch
Vendor:		%{vendor}
Packager:		%{packager}
Distribution:	%{distribution}
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Advanced Web Statistics is a powerful and featureful tool that generates
advanced web server graphic statistics. This server log analyzer works
from command line or as a CGI and shows you all information your log contains,
in graphical web pages. It can analyze a lot of web/wap/proxy servers like
Apache, IIS, Weblogic, Webstar, Squid, ... but also mail or ftp servers.

This program can measure visits, unique vistors, authenticated users, pages,
domains/countries, OS busiest times, robot visits, type of files, search
engines/keywords used, visits duration, HTTP errors and more...
Statistics can be updated from a browser or your scheduler.
The program also supports virtual servers, plugins and a lot of features.

%prep
%setup -q
%patch -b .defaultconf
# fix perms
find . -type f -exec chmod 644 {} \;
find . -name *.pl -exec chmod 755 {} \;
rm -f  wwwroot/cgi-bin/plugins/.#geoip_city_maxmind.pm.1.8
# fix encoding
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%install
rm -rf %{buildroot}

# apache configuration
install -d -m 755 %{buildroot}%{_sysconfdir}/httpd/webapps.d
cat > %{buildroot}%{_sysconfdir}/httpd/webapps.d/%{name}.conf <<EOF
# Awstats configuration

Alias /awstats %{_var}/www/%{name}
<Directory %{_var}/www/%{name}>
    Allow from all
</Directory>

SetEnv PERL5LIB %{_datadir}/%{name}/lib:%{_datadir}/%{name}/plugins
EOF

# cron task
install -d -m 755 %{buildroot}%{_sysconfdir}/cron.daily
cat > %{buildroot}%{_sysconfdir}/cron.daily/%{name} <<EOF
#!/bin/sh
%{_var}/www/cgi-bin/awstats.pl -config=awstats.conf -update > /dev/null
EOF

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -d -m 755 %{buildroot}%{_var}/www/cgi-bin
install -d -m 755 %{buildroot}%{_var}/www/%{name}
install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -d -m 755 %{buildroot}%{_localstatedir}/%{name}

install -m 755 wwwroot/cgi-bin/awstats.pl %{buildroot}%{_var}/www/cgi-bin
install -m 644 wwwroot/cgi-bin/awstats.model.conf %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf

cp -r tools %{buildroot}%{_datadir}/%{name}
cp -r wwwroot/cgi-bin/lang %{buildroot}%{_datadir}/%{name}
cp -r wwwroot/cgi-bin/lib %{buildroot}%{_datadir}/%{name}
cp -r wwwroot/cgi-bin/plugins %{buildroot}%{_datadir}/%{name}

cp -r wwwroot/icon %{buildroot}%{_var}/www/%{name}
cp -r wwwroot/css %{buildroot}%{_var}/www/%{name}
cp -r wwwroot/js %{buildroot}%{_var}/www/%{name}

%clean
rm -rf %{buildroot}

%post
if [ $1 -eq 1 ]; then
	perl -pi -e 's/SiteDomain=""/SiteDomain="'`hostname`'"/' %{_sysconfdir}/%{name}/%{name}.conf
fi
service httpd reload

%postun
service httpd reload

%files
%defattr(-,root,root)
%doc README.TXT docs/*
%config(noreplace) %{_sysconfdir}/httpd/webapps.d/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}
%{_sysconfdir}/cron.daily/%{name}
%{_datadir}/%{name}
%{_localstatedir}/%{name}
%{_var}/www/cgi-bin/%{name}.pl
%{_var}/www/%{name}

%changelog
* Sat Mar 27 2005 Scott Grayban <sgrayban@borgnet.us> 6.4-1bgn
- first borgnet release
- Release 6.4 - SECURITY FIX - UPGRADE IS HIGHLY RECOMMANDED
